Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal
Class ServiceEnumeration

    java.lang.Object
      org.apache.cactus.internal.ServiceEnumeration

public final class ServiceEnumeration
extends java.lang.Object

List of valid services that the test redirectors can perform.

Version:
  $Id: ServiceEnumeration.java 238991 2004-05-22 11:34:50Z vmassol $

Field Summary
`static ServiceEnumeration` | `CALL_TEST_SERVICE` Call test method Service.
`static ServiceEnumeration` | `CREATE_SESSION_SERVICE` Service used to create an HTTP session so that it is returned in a cookie.
`static ServiceEnumeration` | `GET_RESULTS_SERVICE` Get the previous test results Service.
`static ServiceEnumeration` | `GET_VERSION_SERVICE` Service that returns a cactus version identifier.
`static ServiceEnumeration` | `RUN_TEST_SERVICE` Noop service for testing.

Method Summary
`boolean` | `equals(java.lang.Object theObject)` Always compares object identity.
`boolean` | `equals(java.lang.String theString)` Deprecated. Use `valueOf(java.lang.String)` and identity comparison instead of this method
`int` | `hashCode()` Delegates to the `java.lang.Object` implementation.
`java.lang.String` | `toString()` Returns the string representation of the service.
`static ServiceEnumeration` | `valueOf(java.lang.String theName)` Returns the enumeration instance corresponding to the provided service name.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CALL_TEST_SERVICE

    public static final ServiceEnumeration CALL_TEST_SERVICE

  Call test method Service.

### GET_RESULTS_SERVICE

    public static final ServiceEnumeration GET_RESULTS_SERVICE

  Get the previous test results Service.

### RUN_TEST_SERVICE

    public static final ServiceEnumeration RUN_TEST_SERVICE

  Noop service for testing.

### CREATE_SESSION_SERVICE

    public static final ServiceEnumeration CREATE_SESSION_SERVICE

  Service used to create an HTTP session so that it is returned in a cookie.

  Since:
    1.5

### GET_VERSION_SERVICE

    public static final ServiceEnumeration GET_VERSION_SERVICE

  Service that returns a cactus version identifier. This is used to verify that the server side and client side versions of Cactus are the same.

  Since:
    1.5

Method Detail

### equals

    public boolean equals(java.lang.String theString)

  Deprecated. Use `valueOf(java.lang.String)` and identity comparison instead of this method

  Compares a string representing the name of the service with the service enumerated type.

  Parameters:
    `theString` - the string to compare with this Service name
  Returns:
    true if the string corresponds to the current Service

### equals

    public boolean equals(java.lang.Object theObject)

  Always compares object identity.

  Since:
    1.5
  See Also:
    `Object.equals(Object)`

### hashCode

    public int hashCode()

  Delegates to the `java.lang.Object` implementation.

  Since:
    1.5
  See Also:
    `Object.equals(Object)`

### toString

    public java.lang.String toString()

  Returns the string representation of the service.

  Returns:
    the service's name
  See Also:
    `Object.toString()`

### valueOf

    public static ServiceEnumeration valueOf(java.lang.String theName)

  Returns the enumeration instance corresponding to the provided service name.

  Parameters:
    `theName` - The name of the service
  Returns:
    The corresponding service instance
  Since:
    1.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.